import request from '@/utils/request'

// 1、获取所有上报公司信息
export function getAllReportcompanys() {
  return request({
    url: '/report2plat/GetAllReportcompanys'
  })
}

// 2、上报安全风险单元数据
// 参数：Long cId;//上报企业的id，在本系统中的
export function getReceiveUnitListByList(data) {
  return request({
    url: '/report2plat/receiveUnitList',
    method: 'GET',
    params: data
  })
}
// 3、上报安全风险事件数据
// 参数：Long cId;//上报企业的id，在本系统中的
export function getReceiveEventListByList(data) {
  return request({
    url: '/report2plat/receiveEventList',
    method: 'GET',
    params: data
  })
}
// 4、按批次id查询处理结果
// 参数：String batchId;//用户输入
export function getLogById(data) {
  return request({
    url: '/report2plat/getLog',
    method: 'GET',
    params: data
  })
}
// 5、按错误id查询错误详细信息
// 参数：String errorId;//用户输入
export function getErrLogById(data) {
  return request({
    url: '/report2plat/getErrLog',
    method: 'GET',
    params: data
  })
}
